# Constant Field Values

## org.relaxng.*

- org.relaxng.datatype.Datatype
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ID_TYPE_ID`
  `1`
  `public static final int`
  `ID_TYPE_IDREF`
  `2`
  `public static final int`
  `ID_TYPE_IDREFS`
  `3`
  `public static final int`
  `ID_TYPE_NULL`
  `0`
- org.relaxng.datatype.DatatypeException
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `UNKNOWN`
  `-1`